API referenceItem share links
Create
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
itemId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/string/items/string/share-links" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "workspaceItemId": "string", "workspaceId": "string", "kind": "folder", "url": "string", "expiresAt": "string", "allowDownload": true, "maxUses": 0, "useCount": 0, "createdAt": "string", "revokedAt": "string" }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}